Package twisted :: Package web :: Module client

[frames | no frames]

## Module twisted.web.client

HTTP client.

API Stability: unstable

Classes
`HTTPClientFactory` | Download a given URL.
`HTTPDownloader` | Download to a file.
`HTTPPageDownloader` |
`HTTPPageGetter` |

Function Summary
| `_parse(url, defaultPort)`
| ``downloadPage`(url, file, contextFactory, *args, **kwargs)` Download a web page to a file.
| ``getPage`(url, contextFactory, *args, **kwargs)` Download a web page as a string.

Function Details

### downloadPage(url, file, contextFactory=None, *args, **kwargs)

Download a web page to a file.

  Parameters:
    `file` -

    path to file on filesystem, or file-like object.

    See HTTPDownloader to see what extra args can be passed.

### getPage(url, contextFactory=None, *args, **kwargs)

Download a web page as a string.

Download a page. Return a deferred, which will callback with a page (as a string) or errback with a description of the error.

See HTTPClientFactory to see what extra args can be passed.

Generated by Epydoc 2.0 on Sat May 15 20:08:37 2004 | http://epydoc.sf.net